首页>Program>source

最近,我开始使用Flutter并制作了一个应用程序,现在我正尝试为发布版本的APK签名,如以下文件所述:https://developer.android.com/studio/publish/app-signing

我在互联网上进行了很多搜索,但是我完全不知道自己在做什么错。

当我尝试使用我的密钥库生成签名的APK时,我遇到了错误:

  • Information:java: Errors occurred while compiling module 'vista_presentie'
  • Information:javac 1.8.0_242-release was used to compile java sources
  • Information:Module "vista_presentie" was fully rebuilt due to project configuration/dependencies changes
  • Information:28-10-2020 19:42 - Build completed with 1 error and 0 warnings in 5 s 852 ms

**错误:java:无效的源发行版:14

如果我需要从代码中获得更多信息,我将尽快更新此问题,请问我:)

问候,

Kevin

最新回答
  • 26天前
    1 #

    似乎您正在使用Java 1.8进行编译,但是在您的android studio项目中,您可能已将Java语言级别设置为14。

    在Android Studio中,转到项目结构->模块->属性,然后 设置 Source CompatibilityTarget Compatibility1.8 (Java 8)

  • java:如何检查数独是否有效
  • python:TypeError:列表索引必须是整数,必须是整数,而不是元组